label {
    font-weight: 600;
}

.custom-file {
    height: 4rem;
    color: var(--brand-color);
    background-color: white;
    border: 2px solid var(--brand-color);
    border-radius: .75rem;
    overflow: hidden;
}

.custom-file-label {
    height: 62px;
    margin: 0;
    padding: 1rem;
    font-size: 1.3rem;
    font-weight: normal;
    text-align: left;
    background-color: rgba(0, 0, 0, 0);
    border: none;
    border-radius: 0;
}

.custom-file-label::after {
    border-radius: 0;
}

.custom-file-input {
    font-size: 1.3rem;
    height: 4rem;
}

.custom-file-input ~ .custom-file-label::after {
    height: 4rem;
    content: "Auswählen";
    right: 0;
    color: white;
    font-weight: 600;
    font-size: 19px;
    line-height: 48px;
    background-color: var(--brand-color);
}

.input-group > .form-control:not(:first-child) {
    border-left: none;
}

button.btn[type="submit"] {
    padding: .75rem 2.5rem .8rem;
    font-size: 1.4rem;
    font-weight: 600;
    color: #ffffff !important;
    background-color: var(--brand-color);
    border: none !important;
    border-radius: .75rem;
    box-shadow: none !important;
}

button.btn[type="submit"]:active,
button.btn[type="submit"]:focus,
button.btn[type="submit"]:focus-visible,
button.btn[type="submit"]:focus-within {
    color: #ffffff !important;
    background-color: var(--brand-color);
    border: none !important;
    box-shadow: none !important;
}

button.btn-last-step {
    background-color: var(--brand-color) !important;
}

.btn.btn-back {
    padding: .5rem 6rem;
    font-size: 1.4rem;
    font-weight: bold;
    text-decoration: none;
    color: #ffffff !important;
    background-color: var(--brand-color);
    opacity: .8;
    border: none !important;
    border-radius: 0;
    box-shadow: none !important;
}

.btn.btn-back:active,
.btn.btn-back:focus,
.btn.btn-back:focus-visible,
.btn.btn-back:focus-within {
    color: #ffffff !important;
    background-color: var(--brand-color);
    border: none !important;
    box-shadow: none !important;
}

.btn-animated {
    transition: all 350ms cubic-bezier(0.075, 0.82, 0.165, 1);
}

.btn-animated:hover {
    transform: scale(1.1) perspective(1px);
    box-shadow: 0 10px 20px rgba(0, 0, 0, 0.4);
}

.btn-animated:active {
    transform: translateY(-1px);
    box-shadow: 0 5px 10px rgba(0, 0, 0, 0.4);
}

.btn-animated:disabled {
    color: var(--secondary-brand-color);
    transform: none;
    transition: none;
    box-shadow: none;
}

.mat-checkbox {
    display: inline-flex;
    min-height: 52px;
    flex-wrap: wrap;
    position: relative;
    padding-left: 50px;
    margin-bottom: 8px;
    font-weight: normal;
    cursor: pointer;
    -webkit-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    user-select: none;
    align-items: center;
}

.mat-checkbox input {
    position: absolute;
    opacity: 0;
    cursor: pointer;
    height: 0;
    width: 0;
    padding: 0;
    margin: 0;
}

.mat-checkbox span {
    position: absolute;
    top: 6px;
    left: 0;
    height: 40px;
    width: 40px;
    background-color: #fff;
    border: 2px solid var(--brand-color);
    border-radius: .75rem;
}

.mat-checkbox:hover input ~ span {
    background-color: #eee;
}

.mat-checkbox input:checked ~ span {
    background-color: var(--brand-color);
}

.mat-checkbox span:after {
    content: "";
    position: absolute;
    display: none;
}

.mat-checkbox input:checked ~ span:after {
    display: block;
}

.mat-checkbox span:after {
    left: 13px;
    top: 4px;
    width: 12px;
    height: 23px;
    border: solid white;
    border-width: 0 3px 3px 0;
    -ms-transform: rotate(45deg);
    transform: rotate(45deg);
}

@media (max-width: 991.98px) {
    button.btn[type="submit"] {
        padding: 1rem;
    }
}

select, input:not([type=radio]):not([type=checkbox]), textarea {
    display: block;
    width: 100%;
    padding: 1rem 1.5rem;
    -moz-padding-start: calc(1.5rem - 3px);
    font-size: 1.3rem;
    font-weight: 400;
    line-height: 1.5;
    color: #212529;
    background-color: #fff;
    border: 2px solid var(--brand-color);
    border-radius: .75rem;
    transition: border-color 0.15s ease-in-out, box-shadow 0.15s ease-in-out;
    appearance: none;
}

select.is-invalid, input.is-invalid:not([type=radio]), textarea.is-invalid {
    border-color: var(--error-color);
}

select:focus, input:not([type=radio]):focus, textarea:focus {
    outline: 0;
    box-shadow: 0 0 10px 1px rgba(0, 56, 109, 0.25);
}

select {
    background-image: url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 16 16'%3e%3cpath fill='none' stroke='%23001A72FF' stroke-linecap='round' stroke-linejoin='round' stroke-width='2' d='M2 5l6 6 6-6'/%3e%3c/svg%3e");
    background-repeat: no-repeat;
    background-position: right 1.5rem center;
    background-size: 18px 24px;
    appearance: none;
}

*:focus-visible {
    outline: 3px solid transparent !important;
    outline-offset: 3px;
}